/* --- GLOBAL RESET & VARIABLES --- */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Lexend Deca;
}

@font-face {
    font-family: Tomorrow;
    src: url(media/Tomorrow-SemiBold.ttf);
}

@font-face {
    font-family: Lexend Deca;
    src: url(media/LexendDeca-VariableFont_wght.ttf);
    font-weight: 400;
}

:root {
    --col-1: #010414;
    --col-2: #151623;
    --col-3: #EBF2FA;
    --col-4: #A7B4C4;
    --col-5: #00A2B8;
    --col-6: #62318A;
    --col-7: #3A9237;
    --col-8: #AA1C1C;
    --col-9: #DD3806;
    background-color: var(--col-1);
    --blur-bg: rgba(22, 22, 22, 0.3);
    --blur-bg-2: rgba(255, 255, 255, 0.05);
    --blur-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    --blur: blur(5px);
    --blur-hover: blur(10px);
    --font-1: 50px;
    --font-2: 30px;
    --font-3: 18px;
    --font-4: 14px;
    --font-5: 12px;
    --btn-padding: 15px 25px;
    --img-btn-padding: 15px;
    --card-radius: 20px;
}

/*navbar section*/
.nav {
    display: flex;
    justify-content: space-between;
    padding: 0 15%;
    height: max-content;
    background-color: var(--col-2);
    background: var(--blur-bg);
    backdrop-filter: var(--blur);
    box-shadow: var(--blur-shadow);
    -webkit-backdrop-filter: var(--blur);
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}

.nav span {
    display: flex;
    justify-content: space-between;
    height: 80px;
    width: 100%;
    padding: 20px 0;
}

.navbar_img {
    height: 100%;
    background-color: transparent;
    cursor: pointer;
}

.navbar_links {
    display: flex;
    gap: 30px;
    background-color: transparent;
    align-items: center;
}

.navbar_links li {
    list-style: none;
    background-color: transparent;
}

.navbar_links a {
    background-color: transparent;
    color: var(--col-3);
    text-decoration: none;
    transition: all 0.3s ease;
}

.navbar_links a:hover {
    color: var(--col-4);
    transition: all 0.3s ease;
}

#navbar_mobile {
    display: none;
    flex-direction: column;
    padding: 0;
    gap: 30px;
    height: auto;
}

#navbar_mobile > .navbar_links {
    flex-direction: column;
    align-items: flex-start;
    padding-bottom: 15%;
    display: none;
}

@media screen and (max-width: 960px) {
    #navbar_desktop {
        display: none;
    }

    #navbar_mobile {
        display: flex;
    }
}

/*footer section*/
.footer {
    display: flex;
    flex-direction: row;
    background-color: var(--col-2);
    padding: 10vh 15% 10vh 15%;
    gap: 10vh;
}

.footer_left {
    display: flex;
    align-items: center;
}

.footer_left img {
    height: 20vh;
}

.footer_right {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.footer_right h1 {
    font-size: var(--font-1);
    color: var(--col-3);
    font-family: Tomorrow;
}

.footer_sections {
    display: flex;
    flex-direction: row;
    gap: 10vh;
}

.footer_section {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer_section h2 {
    font-size: var(--font-3);
    color: var(--col-3);
}

.footer_section li {
    list-style: none;
    background-color: transparent;
}

.footer_section a {
    background-color: transparent;
    color: var(--col-4);
    text-decoration: none;
    transition: all 0.3s ease;
    font-size: var(--font-4);
}

.footer_section a:hover {
    color: var(--col-3);
    transition: all 0.3s ease;
}

.footer p {
    font-size: var(--font-5);
    color: var(--col-4);
    text-align: center;
    margin-top: 20px;
}

.footer_section p {
    background-color: transparent;
    color: var(--col-4);
    text-decoration: none;
    transition: all 0.3s ease;
    font-size: var(--font-4);
    text-align: left;
    margin-top: 0;
}

@media screen and (max-width: 960px) {
    .footer {
        flex-direction: column;
    }

    .footer_left {
        display: none;
    }

    .footer_sections {
        flex-direction: column;
        gap: 30px;
    }
}